%define qtdir /usr/lib/qt-1.44
%define name kicq
%define version 0.3.0
%define release 4
%define prefix /usr
%define serial 1

Summary: An ICQ client for KDE.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Group: Applications/Internet
Copyright: GPL
Url: http://www.cn.ua/~denis/kde/kicq.html
Source: http://www.cn.ua/~denis/kde/%{name}-%{version}.tar.gz
Requires: icqlib >= 0.1.3
Buildroot: /var/tmp/%{name}-%{version}-root

%description
Kicq is a K Desktop Environment (KDE) and Qt based ICQ client.  ICQ is
an online instant messaging/conferencing system developed by
Mirabilis.  Kicq closely resembles Mirabilis' ICQ, but is a beta and
so does not have all of ICQ's features.  Kicq does allow you to send
and receive messages, to search for users and add them to your contact
list, and allows you to configure kicq from within the GUI.  You'll
need to have X and KDE installed in order to use kicq.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{prefix}
./configure --prefix=%{prefix}
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT%{prefix}
make prefix=$RPM_BUILD_ROOT%{prefix} install-strip


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO VERSION
%attr(755,root,root) %{prefix}/bin/kicq
%attr(644,root,root) %{prefix}/share/applnk/Internet/kicq.kdelnk
%dir %{prefix}/share/apps/kicq
%dir %{prefix}/share/apps/kicq/pics
%attr(644,root,root) %{prefix}/share/apps/kicq/pics/*
%attr(644,root,root) %{prefix}/share/icons/kicq.xpm
%attr(644,root,root) %{prefix}/share/icons/mini/kicq.xpm

%changelog
* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- update for 6.1

* Wed Apr 21 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Dec 14 1998 Ryan Weaver <ryanw@infohwy.com>
  [kicq-0.3.0-2]
- ReWrote Specfile.
- Version 0.3.0 (08 Dec 1998)
  ! New Messages/URLs set blinking icons rather than popups immediatly.
  ! View Message History on each user in Contact List.
  ! SOCKS5 proxy support.
  ! Send/Receive URLs.
  ! Docking in kpanel.
    Rename user ability.
    Beep on new Messages/URLs.
    Alert/Accept Modes popup menu with Online Alert and Visible to User items.
    Reconnect on disconnect.
    Preferences for sound and SOCKS5 proxy.
    Main window remember position, size, desktop and other properties.
    Info fields like ICQ# and message body can be scrolled and copied by mouse.
    Changed empty lines in Info window to "Not Entered".
    Message body size limit.
    Popup menu focus grabbing with Qt-1.41+ fixed.
    Enabled already implemented search by ICQ# feature.
    Fixed "wide" Info button in Windows style of KDE.
    Login password stripped to 8 symbols.
    Many many other bug-fixes and improvements...

* Wed Dec  9 1998 Ryan Weaver <ryanw@infohwy.com>
- Updated to Version 0.3.0

* Wed Oct 28 1998 Sorin Lingureanu <sorin@dntis.ro>
 - first rpm version
